PDA

View Full Version : I need help downgrading 2.5 psp



sonic3d
December 11th, 2006, 00:20
I searched every forum and googled all day but i cant find anything on v2.5 firmware!

ok i have

- v2.5 firmware

- i bought the system used so i dont know what was on it before sorry...

-i have a friend wiht a gta UMD game idk if its the old 1...

-my firmware has the location free player thing too i heard it cant be downgraded... or somthing....

-i opend the disk slot and there were no numbers at all anywere

-it says psp1001 i dont know if that helps

-i have a 30mb memory stick...

i would like to know if any one has downgraded from v2.5 before and with what they used and or if i should update to like 2.6 or 2.71 then downgrade

Any Thing Will Help!!!! Alot cuze i just got this and my parents would SO KILL ME IF I BRICK IT!!!!!!!!!!

my aim is s3ga17@aim.com im me if you think you can help! or email me...

andrewgabriel77
December 11th, 2006, 00:37
first...get a bigger memory stick...you can buy a 1 gig for $30

second...upgrade to 2.71 and then downgrade with the easy downgrader...the reason I say downgrade from 2.71 is because you have kerenel access there and it will completely wipe the flash before reflashing 1.5 on to the nand...we never had kernel access on 2.5 or 2.6

sonic3d
December 11th, 2006, 01:08
oh man you make it sound scary lol but ok im mean whats better wiith kernal acces? i dont have $30.... man... it says 32mb card on the box but only 30mb is avalible... that sucks... oh and were do i get the 2.71 update?

joshisposer
December 11th, 2006, 01:45
psp-hacks.com had an easy installer. this way, you don't have to update and now all you have to do is read the onscreen instructions.

Link (http://www.psp-hacks.com/download.php?id=605)

sonic3d
December 11th, 2006, 02:27
umm is DevHook v0.51 Launcher for 2.71 HEN-D
that it? im confused your link kinda lead to a bunch of stuff... but thats ok... i know i dont have a ta-082 thats for shure!

well if that was it how do i use it / install it, and can i brick my psp doing it? i want to play n64 emu on my psp... but i dont want to have a $200 pice of junk...

by the way i just updated to 2.71 firmware...

andrewgabriel77
December 11th, 2006, 02:58
Here's the link to the easy 2.71 downgrader:

http://www.megaupload.com/?d=7YJ2RFX3

Once it's downloaded just unzip it and run the exe and follow the directions. The reason kernel access is important is because without it you can't wipe the nand before flashing the new firmware and that can lead to bugs. As far as running this it is possible to brick a psp anytime you flash anything to the nand...however if you follow the directions exactly then you shouldn't have any problems. Running homebrew programs and emulators won't brick a system because they don't access the nand. FYI the N64 emu isn't up to speed yet and doesn't have sound...the best working emu's are NES, SNES, GB, GBC, GBA, SMS, Gen, Mame, TG16, and a few others.

sonic3d
December 11th, 2006, 03:27
oh i know the n64 isnt up to speed but idc i jsut want to see it lol but i would like the genessis 2

andrewgabriel77
December 11th, 2006, 04:18
actually since you've only got a 32 mb ms...i don't know if you'll even be able to get any n64 roms to fit. You'll be lucky to get the snes emu and about 4 roms.

Foxmc_loud
December 11th, 2006, 14:35
Just A question.....Are there any people tryed to downgrade with 2.5 downgrader without bricking their psp?????????????????

dejkirkby
December 11th, 2006, 15:31
Just A question.....Are there any people tryed to downgrade with 2.5 downgrader without bricking their psp?????????????????

I've done like 4 from 2.5 using the 2.5/6 downgrader.

splodger15
December 11th, 2006, 17:29
Just A question.....Are there any people tryed to downgrade with 2.5 downgrader without bricking their psp?????????????????

If you read the instructions carefully and check everything it should go well

Gizmo356
December 11th, 2006, 17:58
yeah ive never bricked any of my friends psp's u should use the easy installer if your too scared to do it.

Foxmc_loud
December 11th, 2006, 20:33
Yeah I guess Im scared because i dont want to brick my psp from the first day

Foxmc_loud
December 11th, 2006, 20:35
I Think my friend should help me because he downgraded 2 times using the easy 2.50/2.60 downgrader so....I think there is not a real problem....An someone tell me the chances of bricking????

sonic3d
December 11th, 2006, 22:03
well i upgraded my psp to 2.71 and i DEFINATLY DONT want a BRICK lol i wish there was a safer way even tho i think my psp is just the right one its over coming my fear of death lol of course id be dead cuze my dad lol j/k

so i download the easy 2.17 downgrader

install it

run it

plug my ac adapter in

have 75% or more life

check for the numbers!

erase all data on memory stick

restore defult

PRAY

and plug my psp to my pc and run the program

when the red screen comes up wait tell it reboots

and then Celebrate! Right???:)

andrewgabriel77
December 12th, 2006, 04:43
That's right...although i haven't heard anything about people bricking with the 2.5/2.6 downgrader I don't trust doing any flashing with a UMD in the drive and I have heard about people having bugs after using the 2.5/2.6 downgrader due to the fact that it only overwrites the nand and doesn't actually erase it before writing.

sonic3d
December 12th, 2006, 21:36
oh well i just downloaded eloader and it works perfect and i didnt have to downgrade so im good buteven tho it doesnt load the n64 emu right im ok as long as i got my genessis!! :)

btw has any 1 ever bricked using eloader? is it posible? is it better to downgrade?

splodger15
December 12th, 2006, 22:12
There is always a chance of a brick as it writes to the flash but like i said before if you read instructions VERY carefully everything will go well

sonic3d
December 13th, 2006, 00:38
ok i was browsin the forums and i saw this program called hen D and somthing like reverse devhook umm are they better than eloader? or safer? And if i want to run any homebrew besides gen and snes is this a good choice? A most up to date version would be great with some noob instruction!

mikebeaver
December 13th, 2006, 10:20
Hen D is Dark_alexs homebrew enabler D it allows you to run homebrew on a standard 2.71, it does write a small portion to flash 1 (only once) so is safe to use, this would be the first step in downgrading from 2.71 if you decide to do it.
I started off with a 2.5 and upped it then used downgrader so i could install custom firmware, it is one of the most rewarding things you can do for your PSP, but its deffinetly a scary 10 mins whilst you do it.